Difference between revisions of "Router:Linux"

From AAISP Support Site
Jump to: navigation, search
[unchecked revision][unchecked revision]
Line 8: Line 8:
 
**This is supported on [[FTTC Modem|BT FTTC]]
 
**This is supported on [[FTTC Modem|BT FTTC]]
 
**Kernel 2.6.34 is required to fix bugs with certain network cards and non-linear SKBs ([http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ea8420e9f5dff7324607671f0b7ab7fbf726339d ea8420e9], [http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=19937d0482cfe194fe52e97e59aa58ec911de0d1 19937d04])
 
**Kernel 2.6.34 is required to fix bugs with certain network cards and non-linear SKBs ([http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ea8420e9f5dff7324607671f0b7ab7fbf726339d ea8420e9], [http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=19937d0482cfe194fe52e97e59aa58ec911de0d1 19937d04])
**pppd 2.4.6 is required for RFC 4638 support (this is in git but not yet released)
+
**pppd 2.4.6 is required for RFC 4638 support (this is [http://git.ozlabs.org/?p=ppp.git;a=commit;h=fd1dcdf758418f040da3ed801ab001b5e46854e7 in git] but not yet released)
   
 
[[Category:Linux]][[Category:Configuring]][[Category:ADSL]]
 
[[Category:Linux]][[Category:Configuring]][[Category:ADSL]]

Revision as of 19:36, 3 March 2011

PPP

  • There's a bug in 2.6.36, 2.6.36.1, 2.6.36.2 that can cause a kernel panic when the link goes down (55c95e73, fixed in 2a27a03d)

PPPoE

  • Linux is capable of supporting RFC 4638 for an MTU of 1500 (or greater) over PPPoE
    • This is supported on BT FTTC
    • Kernel 2.6.34 is required to fix bugs with certain network cards and non-linear SKBs (ea8420e9, 19937d04)
    • pppd 2.4.6 is required for RFC 4638 support (this is in git but not yet released)